//------------------------------------------------------------------------------
// Author: Mikhail Litvinets
// Description: Contains program version and build information.
// Copyright (c) 2014 EPAM Systems
//------------------------------------------------------------------------------
/*
    This file is part of Nfstrace.

    Nfstrace is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2 of the License.

    Nfstrace is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Nfstrace.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef BUILD_INFO_H
#define BUILD_INFO_H
//------------------------------------------------------------------------------
namespace NST
{

constexpr unsigned int NST_VERSION =
    0 * 1000 + 4 * 100 + 0;

constexpr char PROGRAM_BUILD_INFO[]=
    "nfstrace 0.4.0 ()\n"
    "built on Linux-3.14.36-std-def-alt1\n"
    "by C++ compiler GNU 4.9.2";

constexpr char MODULES_DIRECTORY_PATH[] = "/usr/lib/nfstrace/";

} // namespace NST
//------------------------------------------------------------------------------
#endif//BUILD_INFO_H
//------------------------------------------------------------------------------
